Content.makeFrontInterface(600, 600);

// pnlSpinner
const pnlSpinner = Content.getComponent("pnlSpinner");
pnlSpinner.setValue(0);

pnlSpinner.setPaintRoutine(function(g)
{
	var a = [this.getWidth() / 2 - 50, this.getHeight() / 2 - 50, 100, 100];

	g.fillAll(Colours.withAlpha(Colours.black, 0.5));
		    
    for (i = 0; i < 10; i++)
    {
        this.getValue() == i ? g.setColour(Colours.white) : g.setColour(Colours.grey);
        
        var x = this.getWidth() / 2 - 0;
        var y1 = a[1] + 20;
        var y2 = this.getHeight() / 2 - 70;    
        
        g.drawLine(x, x, y1, y2, 4);
        
        g.rotate(Math.toRadians(360 / 10), [this.getWidth() / 2, this.getHeight() / 2]);
    }      	
});

pnlSpinner.setTimerCallback(function()
{
    	var v = (this.getValue() + 1) % 10;
    	this.setValue(v);
    	this.repaint();
});

pnlSpinner.setLoadingCallback(function(isPreloading)
{
	if (this.get("visible"))
    	isPreloading ? show("Loading") : hide();
});

inline function show(msg)
{
	pnlSpinner.startTimer(150);
	pnlSpinner.data.msg = msg;
	pnlSpinner.showControl(true);
}
		
inline function hide()
{
	pnlSpinner.setValue(0);
	pnlSpinner.stopTimer();
	pnlSpinner.showControl(false);
}
function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 